import 'package:flutter_test/flutter_test.dart';
import 'package:mobx/mobx.dart';
import 'package:mobx/src/api/async.dart';
import 'package:thesis_shop/models/product.dart';
import 'package:thesis_shop/stores/cart_store.dart';
import 'package:thesis_shop/stores/product_store.dart';

import 'product_service_mock.dart';

class MockedProductStore implements ProductStore {
  @override
  void loadProducts() {}

  @override
  ObservableFuture<List<Product>> products =
      ObservableFuture.value(demoProducts);
}

void main() {
  test('test cart store', () {
    final cartStore = CartStore(MockedProductStore());
    cartStore.incrementAmountOfProduct(demoProducts.first);
    expect(cartStore.amountOfProduct(demoProducts.first), 1);
  });
}
